KDE 4.9 PyKDE API Reference

- KDE's Python API

# KPopupFrame Class Reference

`from PyKDE4.kdeui import *`

Inherits: QFrame → QWidget → QObject

## Detailed Description

Frame with popup menu behavior.

Author:
  Tim Gilman, Mirko Boehm

## Signals

| leaveModality ()

## Methods

| __init__ (self, QWidget parent=0)
| __init__ (self, KPopupFrame a0)
| close (self, int r)
int | exec_ (self, QPoint p)
int | exec_ (self, int x, int y)
| keyPressEvent (self, QKeyEvent e)
| popup (self, QPoint pos)
| resizeEvent (self, QResizeEvent resize)
| setMainWidget (self, QWidget m)

## Signal Documentation

leaveModality | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("leaveModality()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

The contructor. Creates a dialog without buttons.

__init__ | ( | self, |
|  | KPopupFrame | a0
| ) |  |  |

close | ( | self, |
|  | int | r
| ) |  |  |

Close the popup window. This is called from the main widget, usually. r is the result returned from exec().

int exec_ | ( | self, |
|  | QPoint | p
| ) |  |  |

Execute the popup window.

int exec_ | ( | self, |
|  | int | x,
|  | int | y
| ) |  |  |

Execute the popup window.

keyPressEvent | ( | self, |
|  | QKeyEvent | e
| ) |  |  |

Catch key press events.

popup | ( | self, |
|  | QPoint | pos
| ) |  |  |

Open the popup window at position pos.

resizeEvent | ( | self, |
|  | QResizeEvent | resize
| ) |  |  |

The resize event. Simply resizes the main widget to the whole widgets client size.

setMainWidget | ( | self, |
|  | QWidget | m
| ) |  |  |

Set the main widget. You cannot set the main widget from the constructor, since it must be a child of the frame itselfes. Be careful: the size is set to the main widgets size. It is up to you to set the main widgets correct size before setting it as the main widget.